## thuban 1.0.0

=== po/Makefile ===

all:
	@echo 'Usage:'
	@echo '   make pot        create thuban.pot'
	@echo '   make update-po  merge a new thuban.po with the *.po files'
	@echo '   make mo         create the mo files'

MO_DIR = ../Resources/Locale
PO_DIR = po
DOMAIN = thuban

LIST_POTFILES = grep -l "_(\"" ../Thuban/*.py ../Thuban/*/*.py


pot:
	xgettext -k_ -o $(DOMAIN).pot `$(LIST_POTFILES)`

update-po:
	for po in *.po; do \
		lingua=`basename $$po .po`; \
	        mv $$lingua.po $$lingua.old.po; \
		if msgmerge -o $$lingua.po $$lingua.old.po $(DOMAIN).pot; then\
		    rm $$lingua.old.po; \
		else \
		    rm -f $$lingua.po; \
		    mv $$lingua.old.po $$lingua.po; \
		fi \
	done


mo:
	for po in *.po; do\
		lingua=`basename $$po .po`; \
		install -d $(MO_DIR)/$$lingua/LC_MESSAGES/ ; \
		echo -n $$po": "; \
		msgfmt --statistics \
			-o $(MO_DIR)/$$lingua/LC_MESSAGES/$(DOMAIN).mo $$po ;\
	done


# A nicer way to format the statistics:
# make mo 2>&1 | sed -e 's/ \(messages\|translations\)//g' -e 's/\.$//'

=== Doc/manual/Makefile ===
SRC_MAN=thuban-manual.xml
SRC_IMAGES=$(wildcard images/*.png)
EPS_IMAGES=$(patsubst %.png,%.eps,$(SRC_IMAGES))

all: images man-all

man-all: man-html man-dvi man-ps man-pdf man-rtf

man-html:
	db2html $(SRC_MAN)
man-dvi: images
	db2dvi $(SRC_MAN)
man-ps: images
	db2ps $(SRC_MAN)
man-pdf: images
	db2pdf $(SRC_MAN)
man-rtf:
	db2rtf $(SRC_MAN)

images: $(EPS_IMAGES)

%.eps: %.png
	convert $< $@

.PHONY: images

## thuban 1.2.0

=== po/Makefile ===
--- 
+++ 
@@ -37,6 +37,3 @@
 			-o $(MO_DIR)/$$lingua/LC_MESSAGES/$(DOMAIN).mo $$po ;\
 	done
 
-
-# A nicer way to format the statistics:
-# make mo 2>&1 | sed -e 's/ \(messages\|translations\)//g' -e 's/\.$//'

## thuban 1.2.2

=== po/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PO_DIR = po
 DOMAIN = thuban
 
-LIST_POTFILES = grep -l "_(\"" ../Thuban/*.py ../Thuban/*/*.py
+LIST_POTFILES = grep -l "_(\"" ../Thuban/*.py ../Thuban/*/*.py ../Extensions/*/*.py
 
 
 pot:

=== Doc/manual/Makefile ===
--- 
+++ 
@@ -1,10 +1,14 @@
 SRC_MAN=thuban-manual.xml
+SRC_MAN_DE=thuban-manual-de.xml
 SRC_IMAGES=$(wildcard images/*.png)
 EPS_IMAGES=$(patsubst %.png,%.eps,$(SRC_IMAGES))
 
 all: images man-all
 
-man-all: man-html man-dvi man-ps man-pdf man-rtf
+man-all: man-all-en man-all-de
+
+man-all-en: man-html man-dvi man-ps man-pdf man-rtf
+man-all-de: man-html-de man-dvi-de man-ps-de man-pdf-de man-rtf-de
 
 man-html:
 	db2html $(SRC_MAN)
@@ -17,6 +21,17 @@
 man-rtf:
 	db2rtf $(SRC_MAN)
 
+man-html-de:
+	db2html $(SRC_MAN_DE)
+man-dvi-de: images
+	db2dvi $(SRC_MAN_DE)
+man-ps-de: images
+	db2ps $(SRC_MAN_DE)
+man-pdf-de: images
+	db2pdf $(SRC_MAN_DE)
+man-rtf-de:
+	db2rtf $(SRC_MAN_DE)
+
 images: $(EPS_IMAGES)
 
 %.eps: %.png

=== debian/changelog ===
thuban (1.2.2-12build3) bionic; urgency=medium

  * Rebuild against new gdal-abi-2-2-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Dec 2017 22:15:48 +0100

thuban (1.2.2-12build2) bionic; urgency=medium

  * No-change rebuild against gdal-abi-2-2-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Nov 2017 20:31:46 +0000

thuban (1.2.2-12build1) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:34:39 +0200

thuban (1.2.2-12) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 21:55:10 +0200

thuban (1.2.2-11) unstable; urgency=medium

  * Enable bindnow hardening buildflags.
  * Bump Standards-Version 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 16:59:32 +0200

thuban (1.2.2-10) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Add patch for 'occurred' typo.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2016 21:23:35 +0100

thuban (1.2.2-9) unstable; urgency=medium

  * Fix typo in long description.
    (closes: #803538)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Oct 2015 09:55:10 +0100

thuban (1.2.2-8) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Use multi-line uscan options in watch file.
  * Update copyright file, drop .0 from GPL license shortnames.
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 18:56:32 +0200

thuban (1.2.2-7) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds. (closes: #788722)
  * Update my email to @debian.org address.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add gbp.conf to use pristine-tar by default.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jun 2015 16:32:38 +0200

thuban (1.2.2-6) unstable; urgency=medium

  * Apply patch by Olly Betts to use wxWidgets 3.0 -
    drop wxpython.patch, add wxpython3.0.patch.
    (closes: #757299)
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 19 Aug 2014 23:58:54 +0200

thuban (1.2.2-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.5, no changes required.
  * Add Breaks/Replaces for thuban-doc.
    (closes: #734905)
  * Add lintian override for debian-watch-may-check-gpg-signature,
    upstream doesn't provide signatures for verification.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 11 Jan 2014 02:06:14 +0100

thuban (1.2.2-4) unstable; urgency=low

  [ Bas Couwenberg ]
  * Add myself to Uploaders.
  * Bump dephelper compatibility to 9.
  * Use canonical URLs for Vcs-* fields.
  * Refresh patch and add headers for:
    - locale.patch
    - setup.patch
    - bitmappath.patch
    - wxpython.patch
    - gdal.patch
  * Improve short description to not start with article.
  * Use minimal dh rules with python2.
  * Move documentation into its own thuban-doc package.
  * List missing files after install.
  * Update watch file, handle common mistakes.
  * Update python build dependencies: remove python-support, replace python-dev
    with python-all-dev (>= 2.6.6-3~).
  * Update files to install for thuban package.
  * Update copyright file using copyright-format 1.0.
  * Build depend on python-psycopg2 instead of its virtual package.
  * Bump Standards-Version to 3.9.4, changes: minimal dh rules, Vcs-* fields,
    copyright.
  * Convert thuban man page to Docbook XML.
  * Add man page for create_epsg.
  * Change priority to optional.


  [ Francesco Paolo Lovergine ]
  * Moved to libgdal-dev b-d.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Dec 2013 11:45:39 +0100

thuban (1.2.2-3) unstable; urgency=low

  * Rebuilding with current wxpython level.
    (closes: #647147)
  * Moved repository to git.
  * Changed Vcs-* fields in debian/control.
  * Moved to source format 3.0, with quilt.
  * Policy bumped to 3.9.2.
  * Debhelper bumped to 8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 03 Nov 2011 16:55:09 +0100

thuban (1.2.2-2) unstable; urgency=low

  * Removed python-xmlbase build-dep and dep, because available in python >= 2.4
  * Policy updated to 3.8.4 (no changes).
  * Added ${misc:Depends} dependency to thuban pkg. 
  * Removed Apps prefix in debian/doc-base.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 04 Feb 2010 16:00:51 +0100

thuban (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Added Vcs-* fields to debian/control.
  * Now policy bumped to 3.8.3.
  * Missing dh_prep call added.
  * First upload to unstable to obsolete the old release. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 21 Oct 2009 12:04:54 +0200

thuban (1.2.1+svn2877-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Moved to wxwidget 2.8 instead of the obsolete 2.6 
  * Updated patchset.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 May 2009 22:38:16 +0200

thuban (1.2.1-1) unstable; urgency=low

  [ Paul Wise ]

  * Switch to the new Homepage field

  [ Francesco Paolo Lovergine ]

  * New upstream release. Still better using wxwidget 2.6.
    (closes: #352844)
  * Policy bumped to 3.8.1.
  * Removed Silke among Uploaders.
    (closes: #519385)
  * Changed build-dep: proj -> libproj-dev
  * Fixed watch file.
  * Added wxpython patch to select explicitly 2.6 version at run-time.
  * Added gdal patch to use osgeo namespace for gdal/ogr. Still one
    warning is issued anyway at run-time.
  * Added recommended: python-mapscript for mapserver extension.
  * Debhelper level set to 7.


=== debian/control ===
Source: thuban
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all-dev (>= 2.6.6-3~),
               python-wxgtk3.0,
               python-wxgtk3.0-dev,
               libproj-dev,
               libgdal-dev,
               libwxgtk3.0-dev,
               docbook-utils,
               docbook-xsl,
               docbook-xml,
               docbook2x,
               xsltproc
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/thuban.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/thuban.git
Homepage: http://thuban.intevation.org

Package: thuban
Architecture: any
Depends: ${shlibs:Depends},
         ${python:Depends},
         gdal-bin,
         python-wxgtk3.0,
         python-sqlite,
         ${misc:Depends}
Recommends: python-psycopg2,
            python-gdal,
            python-mapscript
Suggests: thuban-doc
Description: Interactive geographic data viewer
 Thuban can read geographic data in the shapefile format. Main features of
 thuban are the layer management and the possibility to navigate on the
 map, to control the visual appearance of objects, to identify and edit
 attributes by object selection and to print and export the resulting maps
 for further processing.
 .
 This package contains the thuban program and its libraries.

Package: thuban-doc
Architecture: all
Section: doc
Breaks: thuban (<< 1.2.2-4)
Replaces: thuban (<< 1.2.2-4)
Depends: ${misc:Depends}
Description: Interactive geographic data viewer - documentation
 Thuban can read geographic data in the shapefile format. Main features of
 thuban are the layer management and the possibility to navigate on the
 map, to control the visual appearance of objects, to identify and edit
 attributes by object selection and to print and export the resulting maps
 for further processing.
 .
 This package contains the thuban documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")

MANPAGES:=$(wildcard debian/man/*.*.xml)

CFLAGS += -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean debian/man/*.1

	python setup.py clean

	$(RM) -rf $(CURDIR)/build
	$(RM) -rf $(CURDIR)/Doc/manual/thuban-manual
	$(RM) -rf $(CURDIR)/Doc/manual/thuban-manual-de

override_dh_auto_build:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	python setup.py build_ext
	
	find $(CURDIR) -name "*.mo" -delete

	$(MAKE) -C $(CURDIR)/po mo
	$(MAKE) -C $(CURDIR)/Doc/manual man-html man-html-de

override_dh_auto_test:
	# Needs external data, many failures
	# cd test ; python runtests.py

override_dh_auto_install:
	dh_auto_install -- --prefix=/usr

	$(RM) -f $(CURDIR)/debian/thuban/usr/bin/create_epsg

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://wald.intevation.org/frs?group_id=6 \
(?:.*/)?Thuban[_\-](\d+[\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
